Commit d6529c8d authored by Jakub Jirutka's avatar Jakub Jirutka

[various] rename dependency python to python2

parent af0c01ac
......@@ -8,7 +8,7 @@ pkgdesc="Simple AJAX Terminal"
url="http://antony.lesuisse.org/qweb/trac/wiki/AjaxTerm"
arch="noarch"
license="GPL"
depends="python"
depends="python2"
install=""
subpackages="$pkgname-doc"
source="http://archlinux-stuff.googlecode.com/files/$_pkgname-$pkgver.tar.gz
......
......@@ -9,7 +9,7 @@ arch="all !aarch64"
license="GPLv3"
depends="curl"
depends_dev=""
makedepends="go python"
makedepends="go python2"
subpackages="$pkgname-doc"
options="!strip"
source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/v$pkgver.tar.gz"
......
......@@ -7,7 +7,7 @@ pkgdesc="Get and set configuration parameters in ~/.asoundrc.asoundconf"
url="https://bitbucket.org/stativ/asoundconf"
arch="noarch"
license="GPL"
depends="python py-gtk"
depends="python2 py-gtk"
depends_dev=""
makedepends=""
install=""
......
......@@ -8,7 +8,7 @@ pkgdesc="music library manager and MusicBrainz tagger"
url="http://beets.radbox.org/"
arch="noarch"
license="MIT"
depends="python py-mutagen py-unidecode py-musicbrainzngs py-munkres
depends="python2 py-mutagen py-unidecode py-musicbrainzngs py-munkres
py-setuptools py-enum34 py-yaml py-jellyfish"
depends_dev=""
makedepends="python2-dev py-setuptools"
......
......@@ -6,7 +6,7 @@ pkgdesc="A scalable distributed SCM tool"
url="http://bazaar.canonical.com/"
arch="all"
license="GPL2+"
depends="python"
depends="python2"
makedepends="python2-dev"
subpackages="$pkgname-doc"
source="http://launchpad.net/${pkgname}/${pkgver%.*}/${pkgver}/+download/${pkgname}-${pkgver}.tar.gz"
......
......@@ -18,7 +18,7 @@ makedepends="$depends_dev alsa-lib-dev libevent-dev libpng-dev jpeg-dev
libxrandr-dev libxscrnsaver-dev pciutils-dev eudev-dev libexif-dev
hwdata-usb ninja libbsd-dev harfbuzz-dev snappy-dev bsd-compat-headers
libre2-dev jsoncpp-dev minizip-dev linux-headers gzip
xdg-utils yasm gperf bison flex perl python bash paxmark findutils"
xdg-utils yasm gperf bison flex perl python2 bash paxmark findutils"
install=""
options=suid
subpackages="$pkgname-doc $pkgname-chromedriver"
......
......@@ -8,7 +8,7 @@ pkgdesc="DRBD9 Cluster Management Tool"
url="http://www.drbd.org"
arch="noarch"
license="GPL"
depends="python py-gobject dbus py-dbus lvm2 drbd-utils>=8.9.6"
depends="python2 py-gobject dbus py-dbus lvm2 drbd-utils>=8.9.6"
depends_dev=""
makedepends="python2-dev libxslt docbook-xsl help2man"
install=""
......
......@@ -43,7 +43,7 @@ makedepends="$depends_dev
bsd-compat-headers
libtool
paxmark
python
python2
sed
yasm
zip
......
......@@ -64,7 +64,7 @@ package() {
py() {
pkgdesc="Python Scripts for John the Ripper"
arch=noarch
depends="python libxml2 libgsf"
depends="python2 libxml2 libgsf"
install_if="$pkgname=$pkgver-r$pkgrel"
cd "$builddir"
local john_scripts="1password2john.py ecryptfs2john.py \
......
......@@ -8,7 +8,7 @@ pkgdesc="A software media player and entertainment hub for digital media"
url="http://kodi.tv"
arch="x86 x86_64"
license="GPL"
depends="python hicolor-icon-theme xdpyinfo unrar mesa-demos curl py-pillow
depends="python2 hicolor-icon-theme xdpyinfo unrar mesa-demos curl py-pillow
py-bluez py-simplejson"
depends_dev="gettext-dev boost-dev mesa-dev glew-dev glu-dev mariadb-dev
libass-dev libogg-dev libvorbis-dev libmodplug-dev curl-dev flac-dev
......
......@@ -7,7 +7,7 @@ pkgdesc="Free HTTPS certificates without having to trust the letsencrypt cli wit
url="https://github.com/diafygi/letsencrypt-nosudo"
arch="noarch"
license="GPL3"
depends="python"
depends="python2"
depends_dev=""
makedepends="$depends_dev"
subpackages="$pkgname-doc"
......
......@@ -7,7 +7,7 @@ pkgdesc="MBIM modem protocol helper library"
url="http://www.freedesktop.org/wiki/Software/libmbim"
arch="all"
license="GPL2"
makedepends="$depends_dev gtk-doc python glib-dev py-gobject libgudev-dev"
makedepends="$depends_dev gtk-doc python2 glib-dev py-gobject libgudev-dev"
subpackages="$pkgname-dev $pkgname-doc"
source="https://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
builddir="$srcdir"/$pkgname-$pkgver
......
......@@ -8,7 +8,7 @@ arch="all"
license="GPL2 LGPL2.1"
depends=""
depends_dev="libxml2-dev glib-dev"
makedepends="swig python2-dev $depends_dev cython-dev python cython"
makedepends="swig python2-dev $depends_dev cython-dev python2 cython"
subpackages="$pkgname-dev py-$pkgname:py $pkgname-util $pkgname++:cxx"
source="http://www.libimobiledevice.org/downloads/libplist-$pkgver.tar.bz2"
......
......@@ -7,7 +7,7 @@ pkgdesc="QMI modem protocol helper library"
url="http://www.freedesktop.org/wiki/Software/libqmi"
arch="all"
license="GPL2"
makedepends="gtk-doc python glib-dev"
makedepends="gtk-doc python2 glib-dev"
subpackages="$pkgname-dev $pkgname-doc"
source="https://www.freedesktop.org/software/$pkgname/$pkgname-$pkgver.tar.xz"
builddir="$srcdir"/$pkgname-$pkgver
......
......@@ -26,7 +26,7 @@ makedepends="
make
paxmark
py-sphinx
python
python2
python2-dev
zlib-dev
"
......
......@@ -7,7 +7,7 @@ url="http://www.midori-browser.org"
arch="x86 x86_64"
license="LGPL2+"
depends=
makedepends="cmake librsvg-dev paxmark python vala gtk+3.0-dev gcr-dev libunique-dev webkit2gtk-dev"
makedepends="cmake librsvg-dev paxmark python2 vala gtk+3.0-dev gcr-dev libunique-dev webkit2gtk-dev"
subpackages="$pkgname-lang"
install=""
source="http://www.midori-browser.org/downloads/midori_${pkgver}_all_.tar.bz2"
......
......@@ -13,7 +13,7 @@ depends=""
makedepends="libxxf86dga-dev libxv-dev libmad-dev lame-dev libao-dev
libtheora-dev xvidcore-dev zlib-dev sdl-dev freetype-dev
x264-dev faac-dev ttf-dejavu libxvmc-dev alsa-lib-dev libva-dev
mesa-dev ffmpeg-dev libass-dev perl lua5.2-dev libvdpau-dev python
mesa-dev ffmpeg-dev libass-dev perl lua5.2-dev libvdpau-dev python2
libxext-dev libxscrnsaver-dev py-docutils rsound-dev libxrandr-dev"
subpackages="
$pkgname-doc
......
......@@ -9,7 +9,7 @@ pkgdesc="nginx/naxsi log parser, whitelist and report generator."
url="http://www.nginx.org | https://github.com/nbs-system/naxsi"
arch="noarch"
license="GPL v2"
depends="python"
depends="python2"
depends_dev=""
makedepends="python2-dev"
#subpackages="$pkgname-doc"
......
......@@ -7,7 +7,7 @@ pkgdesc="A backup program that supports encryption and deduplication"
url="http://obnam.org/"
arch="all"
license="GPL3+"
depends="python py-larch py-paramiko py-fuse py-enum34 py-six py-asn1-modules"
depends="python2 py-larch py-paramiko py-fuse py-enum34 py-six py-asn1-modules"
depends_dev=""
makedepends="python2-dev py-setuptools"
install=""
......
......@@ -8,7 +8,7 @@ pkgdesc="A Python argparse wrapper"
url="http://github.com/neithere/argh/"
arch="noarch"
license="LGPL3+"
depends="python"
depends="python2"
depends_dev=""
makedepends="python2-dev py-setuptools"
install=""
......
......@@ -8,7 +8,7 @@ pkgdesc="Cyclic Redundancy Check (CRC) implementation in Python"
url="https://pypi.python.org/pypi/crcmod/"
arch="all"
license="MIT"
depends="python"
depends="python2"
makedepends="python2-dev"
source="https://files.pythonhosted.org/packages/source/c/$_pkgname/$_pkgname-$pkgver.tar.gz"
......
......@@ -8,7 +8,7 @@ pkgdesc="A high-level Python Web framework"
url="http://djangoproject.com/"
arch="noarch"
license="BSD"
depends="python"
depends="python2"
depends_dev=""
makedepends="python2-dev py-setuptools"
install=""
......
......@@ -8,7 +8,7 @@ pkgdesc="A simple interface to everyday GPIO components used with Raspberry Pi"
url="http://gpiozero.readthedocs.org"
arch="armhf"
license="BSD-3"
depends="python"
depends="python2"
depends_dev=""
makedepends="python2-dev py-setuptools"
install=""
......
......@@ -8,7 +8,7 @@ pkgdesc="Python interface to Graphviz"
url="https://pypi.python.org/pypi/pygraphviz | http://graphviz.org/"
arch="all"
license="BSD"
depends="python"
depends="python2"
depends_dev=""
makedepends="python2-dev graphviz-dev"
install=""
......
......@@ -7,7 +7,7 @@ pkgdesc="Python IP address manipulation library"
url="http://code.google.com/p/ipaddr-py"
arch="noarch"
license="ASL 2.0 PSF"
depends="python"
depends="python2"
depends_dev=
makedepends="$depends_dev"
install=""
......
......@@ -8,7 +8,7 @@ pkgdesc="The rencode module is similar to bencode from the BitTorrent project."
url="https://pypi.python.org/pypi/rencode"
arch="all"
license="GPL3"
depends="python cython"
depends="python2 cython"
depends_dev=""
makedepends="$depends_dev py-setuptools cython-dev python2-dev"
install=""
......
......@@ -8,7 +8,7 @@ pkgdesc="This package provides a class to control the GPIO on a Raspberry Pi."
url="https://pypi.python.org/pypi/RPi.GPIO"
arch="armhf"
license="MIT"
depends="python"
depends="python2"
makedepends="python2-dev py-setuptools"
source="$pkgname-$pkgver.tar.gz::https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
......
......@@ -10,7 +10,7 @@ pkgdesc="Python library that provides an object API to RisingTide Systems generi
url="https://github.com/agrover/rtslib-fb"
arch="noarch"
license="AGPLv3"
depends="python"
depends="python2"
depends_dev=""
makedepends="$depends_dev py-setuptools py-configobj py-ethtool py-ipaddr"
install=""
......
......@@ -8,7 +8,7 @@ pkgdesc="Python module to control the Raspberry Pi Sense HAT"
url="https://www.raspberrypi.org/products/sense-hat/"
arch="armhf"
license="BSD-3"
depends="python"
depends="python2"
depends_dev=""
makedepends="python2-dev py-setuptools"
install=""
......
......@@ -7,7 +7,7 @@ pkgdesc="Python libraries for the Pimoroni Skywriter board"
url="https://github.com/pimoroni/skywriter-hat"
arch="noarch"
license="MIT"
depends="python"
depends="python2"
depends_dev=""
makedepends="python2-dev"
install=""
......
......@@ -6,7 +6,7 @@ pkgdesc="Python bindings to libudev"
url="http://pyudev.readthedocs.org"
arch="noarch"
license="LGPLv2.1"
depends="python eudev"
depends="python2 eudev"
makedepends="python2-dev py-setuptools"
install=""
subpackages=""
......
......@@ -8,7 +8,7 @@ pkgdesc="Zope Component Architecture"
url="https://pypi.python.org/pypi/zope.component"
arch="noarch"
license="ZPL2+"
depends="python"
depends="python2"
depends_dev=""
makedepends="python2-dev py-setuptools"
install=""
......
......@@ -8,7 +8,7 @@ pkgdesc="Full-featured Web Reconnaissance framework written in Python"
url="https://bitbucket.org/LaNMaSteR53/recon-ng"
arch="noarch"
license="GPL3"
depends="python py-dicttoxml py-dnspython py-jsonrpclib py-lxml
depends="python2 py-dicttoxml py-dnspython py-jsonrpclib py-lxml
py-mechanize py-slowaes py-xlsxwriter py-olefile py-pypdf2"
depends_dev=""
makedepends="$depends_dev"
......
......@@ -7,7 +7,7 @@ pkgdesc="Powerful interactive packet manipulation"
url="http://www.secdev.org/projects/scapy/"
arch="noarch"
license="GPL3+"
depends="python"
depends="python2"
makedepends="python2-dev"
install="$pkgname.post-install"
subpackages="$pkgname-doc"
......
......@@ -8,7 +8,7 @@ url="https://github.com/haiwen/seahub/"
arch=""
license="Apache"
depends="bash py-dateutil py-mako py-simplejson py-pillow py-pip py-virtualenv py-six
python py-django1.5 py-gunicorn py-chardet py-django-djblets py-ccnet py-libsearpc
python2 py-django1.5 py-gunicorn py-chardet py-django-djblets py-ccnet py-libsearpc
py-django-simple-captcha py-django-registration py-flup py-seafile seafile-server"
source="$pkgname-$pkgver.tar.gz::https://github.com/haiwen/seahub/archive/v${pkgver}-server.tar.gz
seahub.confd seahub.initd"
......
......@@ -6,7 +6,7 @@ pkgdesc="Utility for easily changing settings in configuration files"
url="http://setconf.roboticoverlords.org/"
arch="noarch"
license="GPL2"
depends="python"
depends="python2"
subpackages="$pkgname-doc"
source="http://setconf.roboticoverlords.org/$pkgname-$pkgver.tar.xz"
builddir="$srcdir/"
......
......@@ -9,7 +9,7 @@ pkgdesc="An administration shell for storage targets"
url="https://github.com/agrover/targetcli-fb"
arch="noarch"
license="AGPLv3"
depends="python py-configobj py-configshell py-ethtool py-ipaddr py-parsing
depends="python2 py-configobj py-configshell py-ethtool py-ipaddr py-parsing
py-rtslib py-simpleparse py-six py-udev py-dbus dbus py-urwid"
depends_dev=
makedepends="$depends_dev py-setuptools"
......
......@@ -9,7 +9,7 @@ arch="all"
license="GPL3"
depends=""
depends_dev=""
makedepends="$depends_dev findutils bash git python linux-headers
makedepends="$depends_dev findutils bash git python2 linux-headers
bsd-compat-headers coreutils libressl-dev ffmpeg2.8-dev libhdhomerun-dev"
pkgusers="$pkgname"
pkggroups="$pkgname"
......
......@@ -6,7 +6,7 @@ pkgdesc="GUI for managing virtual machines"
url="http://virt-manager.org/"
arch="noarch"
license="GPL2+"
depends="python py-gobject3 gtk+3.0 vte3 py-libxml2 $pkgname-common
depends="python2 py-gobject3 gtk+3.0 vte3 py-libxml2 $pkgname-common
libvirt-glib spice-gtk gtk-vnc>=0.5.2-r2 libosinfo
ttf-dejavu gnome-icon-theme dconf"
depends_dev="intltool"
......
......@@ -7,7 +7,7 @@ pkgdesc="A GTK frontend for VDE and QEMU/KVM"
url="http://virtualbricks.eu | https://launchpad.net/virtualbrick"
arch="noarch"
license="GPL v2"
depends="python py-zope-interface py-twisted py-gtk py-imaging py-graphviz"
depends="python2 py-zope-interface py-twisted py-gtk py-imaging py-graphviz"
depends_dev=""
makedepends="python2-dev gettext"
subpackages="$pkgname-lang"
......
......@@ -9,7 +9,7 @@ license="LGPL2+"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
depends=
depends_dev="pango-dev gtk+3.0-dev"
makedepends="$depends_dev intltool python ncurses-dev gobject-introspection-dev
makedepends="$depends_dev intltool python2 ncurses-dev gobject-introspection-dev
vala gnutls-dev linux-headers libxml2-utils
autoconf automake libtool"
source="http://ftp.gnome.org/pub/GNOME/sources/vte/${pkgver%.*}/vte-$pkgver.tar.xz
......
......@@ -10,7 +10,7 @@ pkgdesc="A small command-line program to download videos from YouTube."
url="http://youtube-dl.org "
arch="noarch"
license="Unlicense"
depends="python>=2.5 py-setuptools ffmpeg"
depends="python2 py-setuptools ffmpeg"
subpackages="
$pkgname-doc
$pkgname-zsh-completion:zshcomp
......
......@@ -9,7 +9,7 @@ arch="all"
license="LGPL2+ MPL-1.1"
depends=""
depends_dev="zlib-dev"
makedepends="$depends_dev perl python"
makedepends="$depends_dev perl python2"
subpackages="$pkgname-dev $pkgname-doc $pkgname-utils"
source="http://downloads.sourceforge.net/zziplib/$pkgname-$pkgver.tar.bz2"
builddir="$srcdir/$pkgname-$pkgver"
......
......@@ -8,7 +8,7 @@ pkgdesc="A configuration-management, deployment, task-execution, and multinode o
url="http://ansible.com"
arch="noarch"
license="GPL3+"
depends="python py-yaml py-paramiko py-jinja2 py-markupsafe"
depends="python2 py-yaml py-paramiko py-jinja2 py-markupsafe"
makedepends="python2-dev py-setuptools"
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::http://releases.ansible.com/ansible/$pkgname-$pkgver.tar.gz"
......
......@@ -8,7 +8,7 @@ pkgdesc="Python WSGI Module for Apache2"
url="http://code.google.com/p/modwsgi/"
arch="all"
license="ASL 2.0"
depends="apache2 python"
depends="apache2 python2"
depends_dev=
makedepends="$depends_dev apache2-dev python2-dev"
install=""
......
......@@ -6,7 +6,7 @@ pkgdesc="Text based documentation"
url="http://www.methods.co.nz/asciidoc/"
arch="noarch"
license="GPL2"
depends="python libxml2-utils docbook-xsl"
depends="python2 libxml2-utils docbook-xsl"
makedepends=""
install=""
subpackages="$pkgname-doc $pkgname-vim"
......
......@@ -9,7 +9,7 @@ url="https://github.com/cjdelisle/cjdns"
arch="all !x86"
license="GPL3"
depends=
makedepends="bash nodejs-lts python linux-headers libseccomp-dev"
makedepends="bash nodejs-lts python2 linux-headers libseccomp-dev"
install="$pkgname.post-install"
subpackages="$pkgname-doc"
source="${pkgname}-${pkgver}.tar.gz::https://github.com/cjdelisle/${pkgname}/archive/cjdns-v${pkgver}.tar.gz"
......
......@@ -17,7 +17,7 @@ makedepends="$depends_dev
llvm-dev llvm llvm-static
make
paxmark
python
python2
"
install=
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs $pkgname-analyzer"
......@@ -127,7 +127,7 @@ clang() {
analyzer() {
pkgdesc="clang source code analysis framework"
depends="python"
depends="python2"
mkdir -p "$subpkgdir"/usr/bin \
"$subpkgdir"/usr/libexec \
"$subpkgdir"/usr/share/ \
......
......@@ -11,7 +11,7 @@ depends=""
depends_dev=""
makedepends="$depends_dev
cmake
python
python2
llvm
llvm-dev
llvm-static
......
......@@ -8,7 +8,7 @@ pkgdesc="A powerful D-Bus Debugger"
url="http://live.gnome.org/DFeet/"
arch="noarch"
license="GPLv2+"